import { AnyFunc, ArgumentTypes } from './types';
export declare class Pool {
    static MAX_PROCESSES: number;
    static TIMEOUT: number;
    private id;
    private master;
    constructor(numProcesses?: number);
    private instantiate;
    private send;
    addJob<TFunction extends AnyFunc>(fn: TFunction, ...args: ArgumentTypes<TFunction>): Promise<ReturnType<TFunction>>;
    kill(): void;
}
export declare class PoolSingleton extends Pool {
    static TIMEOUT: number;
    static MAX_PROCESSES: number;
    private static instance;
    private constructor();
    static setTimeout(seconds: number): void;
    static setMaxProcesses(maxProcesses: number): void;
    static getInstance(): PoolSingleton;
}
export default PoolSingleton;
//# sourceMappingURL=pool.d.ts.map